Download Product Feed
curl --request GET \
--url https://api.eflow.team/v1/affiliates/offers/{offerId}/productfeeds/{productFeedId}/download \
--header 'X-Eflow-Api-Key: <api-key>'import requests
url = "https://api.eflow.team/v1/affiliates/offers/{offerId}/productfeeds/{productFeedId}/download"
headers = {"X-Eflow-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Eflow-Api-Key': '<api-key>'}};
fetch('https://api.eflow.team/v1/affiliates/offers/{offerId}/productfeeds/{productFeedId}/download', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"Product Feeds
Download Product Feed
GET
/
affiliates
/
offers
/
{offerId}
/
productfeeds
/
{productFeedId}
/
download
Download Product Feed
Download the contents of a product feed in standardized CSV format. Returns the product feed data with normalized columns regardless of the original upload format. Columns include:
sku, name, description, url_link, price, url_link_mobile, image_url, image_url_mobile, brand, availability, date_valid_from, date_valid_to.Authorizations
The affiliate's API key generated from the Affiliate Portal. Uses the X-Eflow-Api-Key header.
Path Parameters
The numeric ID of the offer.
The numeric ID of the product feed.
Response
CSV file with standardized product feed data.
CSV data with standardized columns.
Was this page helpful?
